PHP is among the most widely used general-purpose server-side programming languages. It is pretty popular since it’s free software, which you can use to develop interactive websites like community web portals, e-stores or e-teaching portals rather than static HTML-based websites. A PHP module must be installed on the web server where a PHP-driven website is hosted so that its code can be ‘translated’. As there are no license taxes for this type of module and the language itself offers innumerable options for the applications that you create, there’re hundreds of millions of PHP-powered sites. In addition, there are lots of open-source PHP-based scripts, which you can use for your sites without needing to have any programming know-how. As there’re several versions of PHP, you should confirm whether the same version that you used while creating your site is enabled on the server as well.
PHP 4, PHP 5 and PHP 7 Support in Web Hosting
Our web hosting servers support different versions of PHP, which means that your websites will run correctly even if your PHP scripts are out of date. We know that an old site doesn’t always mean a vulnerable one as you may have performed a lot of mods to its code. That is why we support PHP 4, PHP 5 and PHP 7 and you can decide which version will be active for your web hosting account. The version can be changed with only one single click of the mouse inside your Hepsia hosting Control Panel and the update will be applied momentarily. If you’d like to run both older and newer scripts, there is even a possibility to use a different PHP version for each of your domains simultaneously.
PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers
Even in case your websites were built with an older version of PHP, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our servers and each one of them can be activated for your account with just one click of the mouse via our custom-developed Hepsia hosting Control Panel. Besides the latest PHP 7, we also offer 5.3, 5.2 and the older PHP 4. The latter has already been abandoned by the great majority of web hosting vendors, but we strongly reckon that you shouldn’t be compelled to modify a website that took years to develop, since older programming language syntax doesn’t necessarily mean security weaknesses. On the contrary, an adequately maintained website using PHP 4 can be more reliable than an incompetently maintained one using PHP 5. For your convenience, we’ll also provide you with the possibility to select a different version of PHP for each single site within the account.